Bug 5186 - Setting a tax rate of zero for a vendor causes the tax value to become the default
Summary: Setting a tax rate of zero for a vendor causes the tax value to become the de...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-31 00:08 UTC by Robin Sheat
Modified: 2012-10-25 23:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (16.65 KB, patch)
2010-08-31 03:04 UTC, Robin Sheat
Details | Diff | Splinter Review
proposed patch (17.62 KB, patch)
2010-09-01 02:48 UTC, Robin Sheat
Details | Diff | Splinter Review
Rebased form of this patch that applies against v3.02.01 (17.78 KB, patch)
2010-12-20 05:39 UTC, Robin Sheat
Details | Diff | Splinter Review
Patch that applies against master (17.35 KB, patch)
2010-12-20 06:18 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2010-08-31 00:08:33 UTC
Instead, it should remain as zero, and if the field is made blank, then it should become the default.
Comment 1 Robin Sheat 2010-08-31 00:51:27 UTC
As part of this, the whole tax being ignored when creating a vendor thing will be fixed.
Comment 2 Robin Sheat 2010-08-31 03:04:37 UTC Comment hidden (obsolete)
Comment 3 Robin Sheat 2010-09-01 02:48:41 UTC Comment hidden (obsolete)
Comment 4 Robin Sheat 2010-09-01 02:52:31 UTC
From the commit message:

    Bug 5186 - allow tax rates to be set to zero
    
        This allows the tax rate for a vendor to be set to zero. Previously, a
        zero meant that the system default was used. Now, zero means no tax, and
        to have it be the default the field should simply be left empty.
        Additionally:
        * this will now show on the vendor display if the tax value is from the
          system default
        * this includes a database update that changes all the existing 0.00 tax
          settings to be NULL, which preserves existing behaviour.
        * this now saves the tax value supplied for new vendors
        * a message is shown telling people what'll happen if a field is
          left blank
        * tax is shown on a vendor even if it's zero, for clarity's sake (although
          all the other tax-related bits aren't)
Comment 5 Robin Sheat 2010-12-20 05:39:32 UTC
Created attachment 2886 [details] [review]
Rebased form of this patch that applies against v3.02.01

Patch against master coming up...
Comment 6 Robin Sheat 2010-12-20 06:18:07 UTC
Created attachment 2887 [details] [review]
Patch that applies against master

This version applies against master
Comment 7 Nicole C. Engard 2010-12-20 12:41:36 UTC
master signed off (not updating status since I didn't do them both)
Comment 8 Chris Cormack 2010-12-21 01:35:00 UTC
Master patch has been pushed to new/bug_5186 but not merged yet, can someone please test and let me know if its working ok.
Comment 9 MJ Ray (software.coop) 2011-01-07 11:13:13 UTC
This bug is mentioned in:
Bug 5186 - allow tax rates to	be set to zero (master) http://lists.koha-community.org/pipermail/koha-patches/2010-December/013433.html
Bug 5186 - allow tax to be set to zero	(3.2.1) http://lists.koha-community.org/pipermail/koha-patches/2010-December/013428.html
Bug 5186 - allow tax rates to be set to zero	(master) http://lists.koha-community.org/pipermail/koha-patches/2010-December/013429.html
Comment 10 Chris Cormack 2011-01-09 20:14:34 UTC
Merged to master, please test
Comment 11 MJ Ray (software.coop) 2011-02-04 09:13:41 UTC
This bug is mentioned in:
Bug 5186: Follow-up - Fixing wrong database	number http://lists.koha-community.org/pipermail/koha-patches/2011-January/013560.html
Comment 12 Paul Poulain 2011-04-04 09:31:15 UTC
tested, works as expected